Setting Business Data Trustpilot Reviews Tasks

‌‌
This endpoint provides reviews published on the Trustpilot platform for the local establishment specified in the domain field.

The domain parameter can be found on the Trustpilot website as a part of the URL pointing to the specific local establishment. For example, here is the URL of The Pearl Source on Trustpilot:

https://www.trustpilot.com/review/www.thepearlsource.com

The domain of this establishment is www.thepearlsource.com

Your account will be charged for every 20 reviews returned, e.g. if you specify "depth": 21, you will be charged as per 40 reviews.

Note: in order to receive Trustpilot reviews, the domain you specify must identify the existing local establishment on Trustpilot.

checked POST
Pricing

Your account will be charged for setting a task and the number of reviews you will get in the items array. The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). Task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 30 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the 40006 error.

You can retrieve the results of completed tasks using the unique task identifier id. Alternatively, we can send them to you as soon as they are ready if you specify the postback_url or pingback_url when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the ‘Tasks Ready’ list. The error code and message depend on your server’s configuration. See Help Center to learn more about using pingbacks and postbacks with DataForSEO APIs.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
domainstring

domain of the local establishment
required field
domain of the local establishment on Trustpilot;
you can find the domain in the URL of every business listed on Trustpilot
example:
www.thepearlsource.com
https://www.trustpilot.com/review/www.thepearlsource.com

sort_bystring

results sorting parameter
optional field
you can use this field to sort the results;
possible sorting parameters:
recency — most recent reviews first;
relevance — most relevant reviews first;
default value: relevance

priorityinteger

task priority
optional field
can take the following values:
1 – normal execution priority (set by default)
2 – high execution priorityYou will be additionally charged for the tasks with high execution priority.
The cost can be calculated on the Pricing page.

depthinteger

parsing depth
optional field
number of reviews to be returned from the API response
we strongly recommend setting the parsing depth in the multiples of twenty, because our system processes twenty reviews in a row
default value: 20
maximum value: 200
Your account will be billed per each SERP containing up to 20 results;
Setting depth above 20 may result in additional charges if the search engine returns more than 20 results;
The cost can be calculated on the Pricing page.

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

postback_urlstring

URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23

learn more on our Help Center

pingback_urlstring

notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23

learn more on our Help Center


‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasksarray

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

unique task identifier in our system
in the Universally unique identifier (UUID) format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000

    status_messagestring

informational message of the task

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results
in this case, the value will be null

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/trustpilot/reviews/task_post" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "domain": "www.thepearlsource.com",
        "depth": 40
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// example #1 - a simple way to set a task
$post_array[] = array(
    "domain": "www.thepearlsource.com"
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more money.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
   "domain" => "www.thepearlsource.com",
   "depth" => 40,
   "priority" => 2
);
// example #3 - an alternative way to set a task
// after a task is completed, we will send the results according to the address you set in the 'postback_url' field.
$post_array[] = array(
   "domain" => "www.thepearlsource.com",
   "postback_url" => "https://your-server.com/postbackscript"
);
// this example has a 2 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
   try {
      // POST /v3/business_data/trustpilot/reviews/task_post
      $result = $client->post('/v3/business_data/trustpilot/reviews/task_post', $post_array);
      print_r($result);
      // do something with post result
   } catch (RestClientException $e) {
      echo "n";
      print "HTTP code: {$e->getHttpCode()}n";
      print "Error code: {$e->getCode()}n";
      print "Message: {$e->getMessage()}n";
      print  $e->getTraceAsString();
      echo "n";
   }
}
$client = null;
?>
const post_array = [];

post_array.push({
  "domain": www.thepearlsource.com",
  "depth": 40,
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/trustpilot/reviews/task_post',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    domain="www.thepearlsource.com"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(
    domain="www.thepearlsource.com",
    depth=40,
    priority=2,
    tag="some_string_123",
    pingback_url="https://your-server.com/pingscript?id=$id&tag=$tag"
)
# after a task is completed, we will send a GET request to the address you specify
# instead of $id and $tag, you will receive actual values that are relevant to this task
post_data[len(post_data)] = dict(    
    domain="www.thepearlsource.com",
    postback_url="https://your-server.com/postbackscript"
)
# POST /v3/business_data/trustpilot/reviews/task_post
response = client.post("/v3/business_data/trustpilot/reviews/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_trustpilot_reviews_task_post()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to set a task
            postData.Add(new
            {
                domain = "www.thepearlsource.com"
            });
            // after a task is completed, we will send a GET request to the address you specify
            // instead of $id and $tag, you will receive actual values that are relevant to this task
            postData.Add(new
            {
                domain = "www.thepearlsource.com",
                depth = 40,
                priority = 2,
                tag = "some_string_123",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
            });
            // after a task is completed, we will send a GET request to the address you specify
            // instead of $id and $tag you will receive actual values that are relevant to this task
            postData.Add(new
            {
                domain = "www.thepearlsource.com",
                postback_url = "https://your-server.com/postbackscript"
            });
            // POST /v3/business_data/trustpilot/reviews/task_post
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/trustpilot/reviews/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20210917",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.0676 sec.",
    "cost": 0.00075,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "11011325-2806-0358-0000-319578bfdc9e",
            "status_code": 20100,
            "status_message": "Task Created.",
            "time": "0.0054 sec.",
            "cost": 0.00075,
            "result_count": 0,
            "path": [
                "v3",
                "business_data",
                "trustpilot",
                "reviews",
                "task_post"
            ],
            "data": {
                "api": "business_data",
                "function": "reviews",
                "se": "trustpilot",
                "domain": "www.thepearlsource.com",
                "language_name": "English",
                "language_code": "en",
                "location_name": "United States",
                "device": "desktop",
                "os": "windows"
            },
            "result": null
        }
    ]
}